@import '_values.scss';

.masonry-column {
  box-sizing: content-box !important;
  width: $masonryColumnWidth !important;
}

.infinite_line-container {
  display: flex;

  .infinite_line {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    background-attachment: fixed;
    overflow-x: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;
  
    &::-webkit-scrollbar {
      display: none;
    }
  
  }

}

.wp {

  &-indicators {
    justify-self: end;
    margin-left: auto;
    display: flex;
    justify-content: flex-end;
    align-items: center;

    &--title {

      > .wp-indicator {
        height: auto;
        width: auto;
        font-size: 12px;
        font-family: $montserrat;
        color: $neutralDarker;
      }

    }

  }

  &-indicator {
    height: 9px;
    width: 9px;
    border-radius: 100%;

    &:not(:last-child) {
      margin-right: 5px;
    }

    &--primary {
      background: $primary;
    }

    &--secondary {
      background: $secondary;
    }

  }

  &-badge {
    position: relative;

    &:after {
      content: '';
      position: absolute;
      top: -8px;
      right: -8px;
      min-width: 8px;
      min-height: 8px;
      display: flex;
      justify-content: center;
      align-items: center;
      color: #fff;
      background: $primary;
      font-size: 12px;
      font-weight: bold;
      font-family: $firaSans;
      border-radius: 100%;
    }

  }

  &-toast {
    font-family: $roboto;
  }

  &-button {
    width: 100%;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: $primary;
    background: $surface;
    font-size: 15px;
    font-family: $firaSans;
    border: 1px dotted $primary;
    border-radius: 10px;
    transition: color      ease-in-out .2s,
                background ease-in-out .2s;

    &:hover {
      color: $surface;
      background: $primary;
      cursor: pointer;
    }

    &:disabled {
      color: $neutralDarker;
      border-color: $neutralDarker;

      &:hover {
        color: $neutralDarker;
        background: $surface;
        cursor: not-allowed;
      }

    }

  }
  
  &-field {
    position: relative;
    margin-bottom: 15px;
    display: grid;
    min-height: 40px;

    &--notify {
      display: flex;
      align-items: center;
      font-size: 16px;
      font-family: $roboto;
    }

    &__title {
      display: flex;
      align-items: center;
      color: $neutralDarker;
      font-size: 14px;
      font-family: $firaSans;
    }

    &__content {
      display: flex;
      align-items: center;
      margin-top: 3px;
      width: 100%;
    }

    &__text {
      color: #000;
      font-size: 16px;
      font-family: $roboto;
    }

    &__button {
      padding: 0 10px;
      display: flex;
      justify-content: center;
      align-items: center;
      color: $primary;
      background: #fff;
      font-size: 15px;
      font-family: $roboto;
      border: 1px solid $primary;
      border-radius: 5px;

      &:hover {
        color: #fff;
        background: $primary;
        cursor: pointer;
      }

      &--side {
        position: absolute;
        top: 0;
        right: 0;
        box-sizing: border-box;
        height: 38px;
        width: 38px;
      }

    }

  }

  &-title {
    min-height: 60px;
    font-family: $montserrat;
    font-size: 24px;
  }

  &-subtitile {
    margin-bottom: 10px;
    color: $neutralDarker;
    font-family: $montserrat;
    font-size: 20px;
    text-align: left;
  }
  
  &-1 {
    width: calc(100% / 12);
  }
  
  &-2 {
    width: calc(100% / 6);
  }
  
  &-3 {
    width: calc(100% / 4);
  }
  
  &-4 {
    width: calc(100% / 3);
  }
  
  &-5 {
    width: calc(100% / 2.4);
  }
  
  &-6 {
    width: calc(100% / 2);
  }
  
  &-7 {
    width: calc(100% / 1.714);
  }
  
  &-8 {
    width: calc(100% / 1.5);
  }
  
  &-9 {
    width: 75%;
  }
  
  &-10 {
    width: calc(100% / 1.2);
  }
  
  &-11 {
    width: calc(100% / 1.09);
  }
  
  &-12 {
    width: 100%;
  }

  &--flex-1 {
    flex: 1;
  }

  &--justify-self_end {
    margin-left: auto;
    justify-self: end;
  }

}